disp('test002: Should return an empty model if input dnaimages is not a list');
protimages = {'../../../images/HeLa/3D/raw/LAMP2/cell1_mask_t1.tif'};
dnaimages = '';
cellimages = {'../../../images/HeLa/3D/raw/LAMP2/cell1_mask_t1.tif'};
masks = {};
param.train.flag = 'all';
model = ml_traingenmodel(protimages, dnaimages, cellimages, masks, param);
assert(isempty(model) || model == 0);

disp('Test passed.');